#reader(lib"read.ss""wxme")WXME0109 ## 
#|
   This file uses the GRacket editor format.
   Open this file in DrRacket version 7.5 or later to read it.

   Most likely, it was created by saving a program in DrRacket,
   and it probably contains a program with non-text elements
   (such as images or comment boxes).

            http://racket-lang.org/
|#
 33 7 #"wxtext\0"
3 1 6 #"wxtab\0"
1 1 8 #"wximage\0"
2 0 8 #"wxmedia\0"
4 1 34 #"(lib \"syntax-browser.ss\" \"mrlib\")\0"
1 0 36 #"(lib \"cache-image-snip.ss\" \"mrlib\")\0"
1 0 68
(0
 #"((lib \"image-core.ss\" \"mrlib\") (lib \"image-core-wxme.rkt\" \"mr"
 #"lib\"))\0"
) 1 0 16 #"drscheme:number\0"
3 0 44 #"(lib \"number-snip.ss\" \"drscheme\" \"private\")\0"
1 0 36 #"(lib \"comment-snip.ss\" \"framework\")\0"
1 0 93
(1
 #"((lib \"collapsed-snipclass.ss\" \"framework\") (lib \"collapsed-sni"
 #"pclass-wxme.ss\" \"framework\"))\0"
) 0 0 43 #"(lib \"collapsed-snipclass.ss\" \"framework\")\0"
0 0 19 #"drscheme:sexp-snip\0"
0 0 29 #"drscheme:bindings-snipclass%\0"
1 0 101
(2
 #"((lib \"ellipsis-snip.rkt\" \"drracket\" \"private\") (lib \"ellipsi"
 #"s-snip-wxme.rkt\" \"drracket\" \"private\"))\0"
) 2 0 88
(3
 #"((lib \"pict-snip.rkt\" \"drracket\" \"private\") (lib \"pict-snip.r"
 #"kt\" \"drracket\" \"private\"))\0"
) 0 0 55
#"((lib \"snip.rkt\" \"pict\") (lib \"snip-wxme.rkt\" \"pict\"))\0"
1 0 34 #"(lib \"bullet-snip.rkt\" \"browser\")\0"
0 0 25 #"(lib \"matrix.ss\" \"htdp\")\0"
1 0 22 #"drscheme:lambda-snip%\0"
1 0 29 #"drclickable-string-snipclass\0"
0 0 26 #"drracket:spacer-snipclass\0"
0 0 57
#"(lib \"hrule-snip.rkt\" \"macro-debugger\" \"syntax-browser\")\0"
1 0 26 #"drscheme:pict-value-snip%\0"
0 0 45 #"(lib \"image-snipr.ss\" \"slideshow\" \"private\")\0"
1 0 38 #"(lib \"pict-snipclass.ss\" \"slideshow\")\0"
2 0 55 #"(lib \"vertical-separator-snip.ss\" \"stepper\" \"private\")\0"
1 0 18 #"drscheme:xml-snip\0"
1 0 31 #"(lib \"xml-snipclass.ss\" \"xml\")\0"
1 0 21 #"drscheme:scheme-snip\0"
2 0 34 #"(lib \"scheme-snipclass.ss\" \"xml\")\0"
1 0 10 #"text-box%\0"
1 0 32 #"(lib \"text-snipclass.ss\" \"xml\")\0"
1 0 1 6 #"wxloc\0"
          0 0 70 0 1 #"\0"
0 75 1 #"\0"
0 12 90 -1 90 -1 3 -1 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 255 255 255 1 -1 0 9
#"Standard\0"
0 75 9 #"Terminus\0"
0 12 90 -1 90 -1 3 -1 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 255 255 255 1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 1 1 1 1 1 1 0 0 0 0 0 0 -1 -1 2 24
#"framework:default-color\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1 1 1 150 0 150 0 0 0 -1 -1 2 15
#"text:ports out\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 150 0 150 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 93 -1 -1 -1 0 0 0 0 0 0 0 0 0 1.0 1.0 1.0 255 0 0 0 0 0 -1
-1 2 15 #"text:ports err\0"
0 -1 1 #"\0"
1 0 -1 -1 93 -1 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 255 0 0 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1 1 1 0 0 175 0 0 0 -1 -1 2 17
#"text:ports value\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 0 175 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1.0 0 92 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1.0 1.0 1.0 34 139 34 0 0 0 -1
-1 2 27 #"Matching Parenthesis Style\0"
0 -1 1 #"\0"
1.0 0 92 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1.0 1.0 1.0 34 139 34 0 0 0 -1
-1 2 1 #"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 38 38 128 0 0 0 -1 -1 2 37
#"framework:syntax-color:scheme:symbol\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 38 38 128 0 0 0 -1 -1 2 38
#"framework:syntax-color:scheme:keyword\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 38 38 128 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 194 116 31 0 0 0 -1 -1 2
38 #"framework:syntax-color:scheme:comment\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 194 116 31 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 41 128 38 0 0 0 -1 -1 2 37
#"framework:syntax-color:scheme:string\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 41 128 38 0 0 0 -1 -1 2 35
#"framework:syntax-color:scheme:text\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 41 128 38 0 0 0 -1 -1 2 39
#"framework:syntax-color:scheme:constant\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 41 128 38 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 132 60 36 0 0 0 -1 -1 2 49
#"framework:syntax-color:scheme:hash-colon-keyword\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 132 60 36 0 0 0 -1 -1 2 42
#"framework:syntax-color:scheme:parenthesis\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 132 60 36 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 255 0 0 0 0 0 -1 -1 2 36
#"framework:syntax-color:scheme:error\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 255 0 0 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 -1 -1 2 36
#"framework:syntax-color:scheme:other\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 -1 -1 2 16
#"Misspelled Text\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 81 112 203 0 0 0 -1 -1 2
38 #"drracket:check-syntax:lexically-bound\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 81 112 203 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 178 34 34 0 0 0 -1 -1 2 28
#"drracket:check-syntax:set!d\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 178 34 34 0 0 0 -1 -1 2 37
#"drracket:check-syntax:unused-require\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 255 0 0 0 0 0 -1 -1 2 36
#"drracket:check-syntax:free-variable\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 255 0 0 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 68 0 203 0 0 0 -1 -1 2 31
#"drracket:check-syntax:imported\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 68 0 203 0 0 0 -1 -1 2 47
#"drracket:check-syntax:my-obligation-style-pref\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 178 34 34 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 116 0 0 0 0 -1 -1 2 50
#"drracket:check-syntax:their-obligation-style-pref\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 116 0 0 0 0 -1 -1 2 48
#"drracket:check-syntax:unk-obligation-style-pref\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 139 142 28 0 0 0 -1 -1 2
49 #"drracket:check-syntax:both-obligation-style-pref\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 139 142 28 0 0 0 -1 -1 2
26 #"plt:htdp:test-coverage-on\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 -1 -1 2 1
#"\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 1 0 0 0 0 0 0 255 165 0 0 0 0 -1 -1 2 27
#"plt:htdp:test-coverage-off\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 1 0 0 0 0 0 0 255 165 0 0 0 0 -1 -1 4 1
#"\0"
0 70 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 1.0 1.0 1.0 1.0 1.0 1.0 0 0 0 0 0 0
-1 -1 4 4 #"XML\0"
0 70 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 1.0 1.0 1.0 1.0 1.0 1.0 0 0 0 0 0 0
-1 -1 2 37 #"plt:module-language:test-coverage-on\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0 0 0 1 1 1 0 0 0 0 0 0 -1 -1 2 38
#"plt:module-language:test-coverage-off\0"
0 -1 1 #"\0"
1 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 1 0 0 0 0 0 0 255 165 0 0 0 0 -1 -1 4 1
#"\0"
0 71 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 1.0 1.0 1.0 1.0 1.0 1.0 0 0 0 0 0 0
-1 -1 4 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 1 0 0 0 0 0 0 0 0 1.0 1.0 1.0 0 0 255 0 0 0 -1
-1 4 1 #"\0"
0 71 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 1 0 0 0 0 0 0 0 0 1.0 1.0 1.0 0 0 255 0 0 0 -1
-1 4 1 #"\0"
0 71 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1.0 1.0 1.0 0 100 0 0 0 0 -1
-1 2 1 #"\0"
0 71 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 1.0 1.0 1.0 1.0 1.0 1.0 0 0 0 0 0 0
-1 -1 2 1 #"\0"
0 71 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 0 0 0 1.0 1.0 1.0 0 100 0 0 0 0 -1
-1 0 1 #"\0"
0 75 9 #"Terminus\0"
0.0 12 90 -1 90 -1 3 -1 0 1 0 1 0 0 0.0 0.0 0.0 0.0 0.0 0.0 0 0 0 255
255 255 1 -1 2 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 0.0 0.0 0.0 1.0 1.0 1.0 0 0 0 0 0 0
-1 -1 2 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0.0 0.0 0.0 1.0 1.0 1.0 150 0 150 0
0 0 -1 -1 2 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 93 -1 -1 -1 0 1 0 0 0 0 0.0 0.0 0.0 1.0 1.0 1.0 255 0 0 0 0
0 -1 -1 2 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 93 -1 -1 0 1 0 0 0 0 0.0 0.0 0.0 1.0 1.0 1.0 0 0 175 0 0
0 -1 -1 0 1 #"\0"
0 -1 1 #"\0"
0.0 10 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 1.0 1.0 1.0 1.0 1.0 1.0 0 0 0 0 0 0
-1 -1 2 1 #"\0"
0 -1 1 #"\0"
0.0 10 -1 -1 -1 -1 -1 -1 0 0 0 0 0 0 1.0 1.0 1.0 1.0 1.0 1.0 0 0 0 0 0 0
-1 -1 4 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 1 0 0.0 0.0 0.0 0.0 0.0 0.0 0 0 0 255
255 255 -1 -1 17 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 1 0 0.0 0.0 0.0 0.0 0.0 0.0 0 0 0 255
255 255 -1 -1 24 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 1 0 0.0 0.0 0.0 0.0 0.0 0.0 0 0 0 255
255 255 -1 -1 15 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 1 0 0.0 0.0 0.0 0.0 0.0 0.0 0 0 0 255
255 255 -1 -1 44 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 1 0 0.0 0.0 0.0 0.0 0.0 0.0 0 0 0 255
255 255 -1 -1 46 1 #"\0"
0 -1 1 #"\0"
1.0 0 -1 -1 -1 -1 -1 -1 0 0 0 0 1 0 0.0 0.0 0.0 0.0 0.0 0.0 0 0 0 255
255 255 -1 -1           0 602 0 4 3 85
(4
 #";; The first three lines of this file were inserted by DrRacket. The"
 #"y record metadata"
) 0 0 4 29 1 #"\n"
0 0 4 3 85
(5
 #";; about the language level of this file in a form that our tools ca"
 #"n easily process."
) 0 0 4 29 1 #"\n"
0 0 4 3 129
(6
 #"#reader(lib \"htdp-beginner-reader.ss\" \"lang\")((modname 092_more_"
 #"virtual_pets) (read-case-sensitive #t) (teachpacks ((lib \"image.r"
) 0 0 4 3 300
(7
 #"kt\" \"teachpack\" \"2htdp\") (lib \"universe.rkt\" \"teachpack\" \""
 #"2htdp\") (lib \"batch-io.rkt\" \"teachpack\" \"2htdp\"))) (htdp-sett"
 #"ings #(#t constructor repeating-decimal #f #t none #f ((lib \"image."
 #"rkt\" \"teachpack\" \"2htdp\") (li"
 #"b \"universe.rkt\" \"teachpack\" \"2htdp\") (lib \"batch-io.rkt\" \""
 #"teachpack\" \"2htdp\")) #f)))"
) 0 0 4 29 1 #"\n"
0 0 17 3 47 #"; I know that this program is not well written,"
0 0 24 29 1 #"\n"
0 0 17 3 45 #"; because e.g. not all constants are defined."
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 13 #"define-struct"
0 0 24 3 1 #" "
0 0 14 3 4 #"vpet"
0 0 24 3 2 #" ["
0 0 14 3 5 #"x-pos"
0 0 24 3 1 #" "
0 0 14 3 5 #"gauge"
0 0 24 3 2 #"])"
0 0 24 29 1 #"\n"
0 0 17 3 22 #"; VPet is a structure:"
0 0 24 29 1 #"\n"
0 0 17 3 31 #";     (make-vpet Number Number)"
0 0 24 29 1 #"\n"
0 0 17 3 60
#"; (make-vpet x h) describes a moving chameleon whose current"
0 0 24 29 1 #"\n"
0 0 17 3 56 #"; coordinate is x-pos, its direction dir, and deacresing"
0 0 24 29 1 #"\n"
0 0 17 3 58
#"; happiness, gauge, ranging from [0, 100]. With decreasing"
0 0 24 29 1 #"\n"
0 0 17 3 43 #"; happiness the pet is changing its colour."
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 34 #"; ------ Chameleon related -------"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 1 #" "
0 2          71 21 1 #"\0"
2 -1.0 -1.0 0.0 0.0 0          30 500
(8
 #"\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0?\0\0\0\226\b"
 #"\6\0\0\0iLP\371\0\0 \0IDATx\234\315}wXU\307\366"
 #"\366\332{\237\336;\247p8\364^\4"
 #"D\224\242\210\25\5\215\r\273\306\330b"
 #"\212\232rso\312\215\32\23\215i&\266D\23[\232FMn4W\215\275\v"
 #"\212\5Q\212\322;\348\264\323\313\336"
 #"\363\375\241xQA\305@~\337\373<"
 #"\363\307\231\262\326z\367\224={f\315"
 #"\34@\377\37\300l\266\324m\373n\333z\202 \236gq\350;\4\22f\261P"
 #"\312BB)\v\211d,\223P\314,c0ik\376\370\343\277\247\314f\263\276"
 #"\247\364b\b!\4\377Gp8\234\345'N\234@S\246O\314u9\35*\227"
 #"\213*v\323\bHw\37>!SqL8\216\221V\213\23k\252\267AI\276"
 #"\201\357rP\375\330L^\361o\373\16"
 #"h\342\342\343\304\0\340\366\227\f\350\251"
 #"\247\330M8w\354\330\261>0(\260D\250\200r\211\232\363\302\324%\241n\b"
 #"!h\17q)\272w\375\"\244\333Cb\24\333'-\bY\217\0\260qs\203"
 #"Be*\316\2\202\5%\223'O^\215\20\252\374+F\374_\220\267\275\367\316"
 #"\373\e0\6\224\311\334i\313c\207("
 #"\334\20Z\216\253}$\332\220\30\345!"
 #"\251\222S\301`\21\215<\1S\317\346"
 #"\322\353\271|f\275H\306\256\227\270q\32\22F{\26O~9<**\301-"
 #"U('\352\222\223\207~MQ\250\372Y\r\371[\311\273\\.\307\352Uk\16"
 #"J\24\254\246\330!\356\237 \204`\344"
 #"$\377\4wO\3012\245\226\207\230l\32\342\213\0306\17_\341\276\360~n^"
 #"\367\354\203\1\3\334\331AQn\273e*N\275\306K\200\244n\354"
 #"\330\244T\257yt6\324\177\366\371gk\236\325\236\277\223\274\363\345E"
) 500
(9
 #"\213\277\227\270\321j\323f\5\277\203\20"
 #"\202\1\303<&y\5\212m\36\276\"$\20\263\20\203E{;\244\257\"\36u"
 #"h\376\35\303\360\311>\241r5\347\5"
 #"\261\234m\22H\331\375\270B\30\252\325"
 #"jsjjjr\237\305\240\277\215\374\256]\273>\"XP\2254\306\373\277,"
 #"\26\313\253\3770\355\35\276\220\351\362\16"
 #"\226 \17_!\22JY\357\336\263\a\222\236\363\24I\245\214 \0\bk\17<"
 #"\36#\30!\300\20B q\343\314\323x\t\315#\247\4\214\t\212\221[=="
 #"\275\227 \204nw\327\246\277e\264oii1%&$\326\343B\275\17\6\4"
 #"T\26\265B\223\336\242\27\311\330uV"
 #"\2633\234\311&\300'X<\373\332\271\332\357=|\205S\232\fm\363\314- "
 #"\5\200b\0 \356\5\5\235\t7\264^\222\243I\317i\256\37\371\245<C\347"
 #"/V\270{\v`\357\2677\2174\324"
 #"6\366\227\312\244\302\356\330\205\367\6\331"
 #"\207P:s\372\314mV\250V\b\245\274\17X\34\32\222\253\271\20\322Oy\331"
 #";P\274E f\201\303A\2564\324\331\226\212\25\314_\3655\306\345\377zm"
 #"%7//\217B\ba.\227\vl6\e\224\226\226RS'\317R\327U\e"
 #"\327\374\2621\1772[D\e\\p]_\356tR\240\361\344\17\335\260a\323^"
 #"\0\350^E\366h\333~\24TII\351E\214\16\2311I\3563\226\357\231\304"
 #"\210\36\350\376\245\322\235\237\237\374\234\357"
 #"p\255\217\310\354\27!+<\205\226\323"
 #"\0\203\375^\336\236\5\a\17\36~\35!\344\350B^kQaq\23\235\5E"
 #"^\1\222\271\276\241\262+\221\tj\224"
 #"\230\252CII\211\207\273k\\o\223\267)\225\332E\32OA\361;\233\23U"
 #"\203\307x\5\370G\310Q\332\254\240\177F'\250"
 #"\377)Urr\325\376|\31\216\343\377\210\213\213"
) 500
(10
 #"/mhhh}\n\231\246\267\377\371\356\n\201\224V\23;D\2134\336B4"
 #"n^\0\3227U\332\214F\343\325\356\30\327\253}\336\345r\221~\201\36M|"
 #"9\271\335f\201\206\212;M\251\200`\220\326_\4V\223\23\252K[\227F\f"
 #"P\bnd\350\247\227\225\225\25\351t"
 #"\272\321O)\332\224\2266\266&\247\350\2447F\321ia\261\n`\203gU\210"
 #"O\334\316e\313\336\177\367i\355\353\325"
 #">\277\356\313\365\333,\366f\256X\316"
 #"\371\207\271\315\366\251T\311\31\344\341/"
 #"\336!\226\261\217\327W\e\301\333_\273"
 #"\374\263\217v\2743{\366\354\213:\235nP7D\363\206\17\37~\251\242\330T"
 #"\306\345\323A_m\201\314\254\23\202\202"
 #"\202\374\201\335\261\257W\311_\272\222\321"
 #"O\242d7q\371\214_\202\"\25\6\34\307Z\342F\272\37%\bpq\2054"
 #"\230:k\224hH\322\bX\275z\265\3\0x\335\221=\177\376\\\247B,7"
 #":\35$\230\332\354\340\e\350\301KJ"
 #"\32\24\335-\3\237\251'?\35\216\272\273k\256\r\231\340}\25!\4Z\37\321"
 #"\331\210\4\325U\204\20(\334\371g\303"
 #"\373+QX\274\30\245O\36W\364\254"
 #"\nF\216\32\361\273T\315\264\353\2\204"
 #"h\311\362Q\310n\267\335\250\257\257\317"
 #"x\332\362\275V\363%%\245mUU"
 #"\325\206\312\"\307\230\305\213\375\230\206:"
 #"3\217\303\245s0\f\363o1\330\330\30\335\16o-]\6R\221\352?v\273"
 #"\335\374,:F\16\37}r\353\226\35`\320\267Aee%\250\325\232\246\206\372"
 #"\206\247\226E{\26\245O\203;w\356"
 #"\4\t\3448\341\341\317\36\264\373\327\272"
 #"\2418\r\217\254-3\202g\200\370vm\205\21\352\253\315@:1X\261r\205"
 #"\230N\247?S%,\230\267\300\347NY6\341\260"
 #"#h6\230\301`00\20\6\324\323\226\3575\362\365"
) 500
(11
 #"\365\365\36r\25\213F\221\324Ol.\rx\2\232c\300p\367\364\272J\363H"
 #"c\253\365E\235*\20\22\a\244\200\\.\233\373\254:ht|\361\312\17V4"
 #"\304\f\322\312\235\16j\5\0$a\30"
 #"\366\324\17\262\327\232\375\304\211\23xi"
 #"c\3220s\223M\333\332d\373\227T\311\241\377\364U\316\376\262\333-YB\t"
 #"\a\342\222\372\273{{\370\255\373+:"
 #"\314f\263\365\370\211\343M\f\26\363\215"
 #"\363\207\312>\a\0\254;\345{\215<"
 #"\227\313\5\241\210\303\314<UU\325j\260\326p\371\f\3540,f\32[\354\b"
 #"\3071\370\342\303\257\253\1\207V\207\303"
 #"\221\t\0\216g\321\301`\262\234t\32"
 #"\263\266\372N\263\1\356r\301p\34\177"
 #"\352yK\2574{\247\323\231o2\231"
 #"\262\6\305\245\26\r\231\307\326\5F\312"
 #"\337()h\2069\332m\277!\204\351\\\16\322~/+\253\260\260p}pp"
 #"\360\6\f\303\30\335\325C\243\21\244\323"
 #"I\352\r\0063\206L\210\265a\373\6"
 #"d\263Y\237\372A\366J\315[\255\326"
 #"\226\342\342\342\333\n\271\332T\226A\277"
 #"PU\334\32\201#\250\360\f\224\2041\30\270J_cf\n\225\330\177-6\223"
 #"\310d2)\236\365\255\203c\30\242(ds\330\234\250\1rU\257\274\3622\250"
 #"\325\352\377[\362\b!\214t\"*\373\326\371\21v\2733\333\303_\4\345E-"
 #"\3232\217Ux\324\325\230\336\343KX"
 #"\31t\214\23\263\346\323\225\375\266\355\330"
 #"\341EQ\3243\265@\f\307\20 p9\235@\316\231?}sVVV_7"
 #"7\267QO[\276W\310\363x\274\200>Q\341sLf\213+a<\357}\236"
 #"\200\1\320>\30!`\ej\254\37\f"
 #"\237\340\227\374\361\247\237\354\332\263\367"
 #"\373\4\204\20\375Y\364`\30\206H\229\200$\320\331"
 #"c7\32\326\256\375\362lw\312\367J\237'\bBl\267"
) 500
(12
 #"\333\3057o\336\360t\332\230\37:\235T\251B\303\365\16\e\2406p84\261"
 #"\247\277\370\373\2377d+\202.\311\306J9^at\32\375/\220\a;O\210"
 #"{\24\344\351\371\347\317^(\351\226\200"
 #"g\235Z>\t?\376\360c\203\332\237Q\263\375\324s\"w/\341\26\265\247\0"
 #"\205\367W\"\265\227\20\211el\207T\305\235\31=D\372[Aa\266\335l6"
 #"_|F5\3654\234\266L\27 @\3779\360K\267Wq{\355U'\24\211"
 #"\r\3466\207\365\373\257rN\230\215\316"
 #"\371\\>\303\201a(\215\303el\342\b\30t\34\303\276o\254\261\215kii"
 #"\265\255\376h\365\361g\325C\320\tC"
 #"\371\3556\362\265\305\377\\\1\335\\\311"
 #"\3515\362\2\201\240\331M\342\335\250\321"
 #"\210\326\370\206Ijy\"\6\225}\261"
 #"\356\277|\t\375\32\227\317@,\16\366\34\203\306\370\347\313K_\270iuZf"
 #"<\243\32\331\345\313\227_\0315*\365"
 #"\253\354\354\354\245\320\315IN\2575\373+W\256\354\251\256\252>Zt\3)t"
 #"\376\374y\241\375\224\b!\4\311\343\274"
 #"\347\370\204J\321\330\271\201i\b!\30"
 #"3-v%\205\250\372\326\326\326\262\336"
 #"\262\245+\364Z\315\207\207\207\367\227*"
 #"\304\341\37\357\30\276D\353#v\330,"
 #"N\30>\331\377\240\315L\276\325\326l"
 #"\3\34\210\17\1\0\366\277\236\371A\302"
 #"\300\270\252\314\314KU\275eKW\3505\362t:]\373\306\353o\30\16\377\367"
 #"\324`\204pMc\235\5n\\\250\35U^\330L\30\233\355\226S\373K\202D"
 #"\22\316\232\350\327\325\276Ws2\31\271"
 #"\371yj\0\260\366\226=\235\241WWrpD;8l\310\350@\6\e[\5"
 #"\bAX\254[FUI\253\277\314\215\233\345\351/\242\363D\214\267("
 #"\22n\361Y\234w^_\272\364\250\311d\312\357M{\36\261\2577\205\257"
) 500
(13
 #"\372xU\352\252\225\237\361\345Z\346\177"
 #"T:\301\325\2322#\23\0@\246\342`\f\26\r\22Su?`85\334f"
 #"w\30W\256~w\n\215F\17\352M{\36F\257\222\347qyAi\251cM"
 #"\271W\252\v\25jnm\253\301\312\375\307g\361\241b76\257\255\331\6\36>"
 #"\242\346kg\27\2352\265\270.\244O\230zh\363\346M\277\222$\331\233&="
 #"\200^%\357\"I;\203\306=:q\344K U\321\354\16\a\25p\361X\325"
 #"\315\232\322\266\250\352\2626\310\277\336\260"
 #"x\346[\177\364A\b9S\306\17\260-_\371\356\20\233\315v\2647mz\0"
 #"\275\371*\241(\312\325\332\332Z\234\221u\272L\254\2427\n%l$\222q\366"
 #"\3\300H\271\206\347\20\313\331H\345\301"
 #"?\353\356\356\316\216O\363\b\301ip\355\225W^Z\326\2336uD\257\326<"
 #"\206a\204\315fg\r\0352\262\310\303"
 #"[\326\350\25$\272\303\240c\306\213\350"
 #"\2653J-?O\347/\2\271\232\353\347\31N\333\177\376@y\256B\315\272\225"
 #"\227\227;\25\0\232z\323\256v\364\372"
 #"F\245B!\267\17I\32\356\252\2576\374|\347V\343T\261\202=\375\333w\316"
 #"\206\337\314\254\235A\221\0\375\207\353\246"
 #"y\370\n\16\2\0\324U\330^=y\362LUii\351\311\336\266\v\0\376\36"
 #"\237\234?\377<z\207/!J\373&\273\247\4E+\220@\300\216\215\212UE"
 #"\207\366S\"\237PI\34\272\267/\37"
 #"\e\353+\340\212\241\362\373\235\3377\374"
 #"\35v\365v\315W\\\275r\365\326\v\363f\24s\330,S\352\213\3N\350\253"
 #"M/\267Y\2550p\274\316\342\31 \314a\262\tK{\346\224\24w\213\207\267"
 #"t\307\222\245\213k.^\274t\e\0*z\325\272\336z\252N\247"
 #"\263*i`\362J\32\v\2624^\202\35\343\27\205y\243.\334M"
) 500
(14
 #"\332\303k_\f`OX\20\27258ZV.\220\22\325I\3\223WZ\255\326"
 #"\332\336\262\261\273\344\35g\316\234\331_"
 #"ZZz\255\266\2666\17!\344\272\27\36@sssM\277~\375~\367\360\347"
 #"[\303\372+\206\242'\220~8,\377n\204o\377Q\36\351^\301\"sTT"
 #"\324\361\206\206\206\316\34\17]\b!Wmmm^ii\351\2653g\316\354G"
 #"]\357\353w\212\3564\373\346\217?\376"
 #"x\223@\304\36\244\3277\330\217\37?"
 #"\321\226\226\226\366FVV\326g\0353\325\325\325\231bb\242Z\32-w\6\366"
 #"K\322\215\315\311\250\357\366\267\372\262\271"
 #"\177\26e\34,\337\0237B7\316\f\245\321\375\372\365+olll\351\230'"
 #"++\353\263\264\264\2647\216\37?\321"
 #"\246\3277\330\5\"\366\2405k\326l"
 #"\4\200\346\247V\364\264OI\257\327\37"
 #"\2\200\203c\322\23\216-Y\262\330\304"
 #"`A1\0\324~\362\311\232\343\35j\2749((\364\212XN\354\232\365f\324"
 #"\214\356\326xga\326\233Q3\2\242"
 #"\304\266\340\340\260\314\346\346\346\346v]"
 #"\237|\262\3468\0\3242XP\274d\311b\323\230\364\204c\0p\300`0\374"
 #"\367i9=-\371\212q\343\306}\32\30)o\325E\203\n\0F\306\217\324e"
 #"\263\330\364\333C\206\f\237=i\322\204"
 #"\374\37~\370\351\225\330\330\330_\203\242"
 #"\245\255\205(\205\331\23\304\333\303\302\367"
 #"\a\f\t\214\226\231\343\342\342~\330\275"
 #"{\317\242I\223&\26$'\17{\236"
 #"\305\246\337\216\37\251\313\6\200\221\272h"
 #"P\5F\312[\307\215\e\367)B\250"
 #"\242\307\310[-\326\"\0\330\242\366\346\317iw\a\363\v\223\36cs\351H "
 #"\246\353\1\240\5\0\276U\3518\215c\347\204\214h\317\323\223a\3444\337"
 #"\0212\25S\17\0\253\1\240E \246\353\331\\:\362\v\227\36\273\233\a"
) 500
(15
 #"0\2657\177\16\0l\261Z\254O\265\355\375T}\336\341p\2108|\be0"
 #"\31\315\0w\335XZ\f\366\375\n5"
 #"\347\347\240(\225\234\305\241Us\371\264"
 #"T\205F\270\364\367m\267\216\310\345\34"
 #"\225@\300\211\357(\3\3030Z`\204b\356\363oE\306w\246\3037P\22\37"
 #"7\302s\356\340\25\203\357\257(\aF"
 #"\311\325\t)\236s\207\216\17\222\36\376"
 #"\251\360\b\213\313|\235\301\304\323\330\34ZaP\224R\256Ps~66\331\367"
 #"\267w`\6\223\321\314\341C\250\303\341"
 #"\20=\r\257\247!O-z\351\225\n\245\2730\246\377P\255\23\0`\313\325\205"
 #"\364\227\253\337\334\304\345\323\371\267\262\352"
 #"\2569\254\2445,VU\236}\241\346G\0\200\26\263\303S\252f\35\234\363n"
 #"\277>\35\3440\2546\347w\255M\366"
 #"\371\217\252\3000}\275y!A\303\276"
 #"\363\a\343\375m\253\362\374\226@\222D"
 #"\337I\334p\37\0\200\312\302\326\37\375"
 #"\372\310M6;\331\224\233U\237\311\341"
 #"\323\5/V\276\271i\313\325\205t\0\200\376C\265N\245\2730f\321K\257T"
 #"\0<y\253\372\261\353\366N\247\223\234"
 #"\363\374\334\e\307\316\357\16\e\224\22\360"
 #"\345\340\331\375\216\246L\365\ec1\272"
 #"~\276\235\323\330\324\334h\275\346\260\222"
 #"\337{\5\211\327\360\25\274\260\377Qq"
 #"YY\34\232\260\241\254U\326A\34\""
 #"\b\34\352\312M\217\254\326\274\366Y\\"
 #"\1777\367;\351\b\320\365\320\351\n\22"
 #"\0`\357\336tB\246d\371:\355\256\n\17_E[{^6\207\230-\225\263"
 #"O5\326Y^-\316o\236\371\265\307ge\1\3412\311\177\370~\323\306\275\231"
 #"|\330\345p}y\354\360\356%3\246C\366\366\35[#\350t:\321%\301\307"
 #"t\211\226/\277\\\267G\356\316iI_\30\266\266\275"
 #"\357\5\364\221\325\0\3001\2\210\331\0 \347\213\230'\223"
) 500
(16
 #"\306z\37\373\364\310pn{\236\240pYTH\214\e\n\216rKn\217\e0"
 #"\311\235\35\32\343\206<\3\304_?\334"
 #"\237'\316\vN\364\357#C\0\20\331\0367mQ\230\270_\262;\242\323\2119"
 #"\35\363\276\371f874Fq\214F\303W\3\0\343\236\35\307\2\372\310j\332"
 #"\363\244/\f[+w\347\264|\371\345"
 #"\272=\b\241\226\256\bvI\276\252\252\252\1hp=n\244\307\262\373F.\f"
 #"\371\230'd\226\3\200\n\335\355\372\223\271|\346iOOOVG\3GO\v"
 #"\214\216\214W#\32\2136\260=\356\265"
 #"/\6\260\373\17\325\"\202\216o|\230|p\224*1$\306\r\371\205Kc\333"
 #"\343<=E\242\200>r\324'V\265\340\341\374C\307y'\250t\2026\0\b"
 #"\276g\207\212'd\226O\\\30\362\361"
 #"\375\207=L\373\1\320 \267\252\252\252"
 #"\313\357\204N\373<EQ\245\251i\251"
 #"\267EbF\311\205\303\345+\332\343K\362\232\373b\bn!\204j\1\0\204\22"
 #"\326K\236\201\242\352\322\322R[\307\362"
 #"\32\177\261\31!T\341\356\311\17\332\2737\235\0\0\360J\23QL6\3556\223"
 #"Es{y\305\340\a<\257\362\256\325"
 #"\232i\f\34\374\"$\367\343\312\312Z\3146\263\23|B\305\217l]{\217\24"
 #"_\262\30\35\207i,\332\364{\255\267\26Cp\253$\257\271o{\236\360D\325"
 #"a\377`\2516%%\365:E\241\322\316xvJ~\327\256]\eo\346g\a"
 #"\306\r\367\266w\214\257.m3:\35d\6\0\0\206a\276\0\340\355\37!}"
 #"d\6\267y\331\305\202\354\213\265\313u"
 #"~\242o\362\314\r|\0\200W}\17"
 #"\331\317\374Q\372\234\316_4\201\306\264"
 #"\6\374pt\4w\306\e\221\363\347\276\323o~\277!\356S\b\2"
 #"\a\277@\311\375\361`\330$\337)\26\223\263N$c\346<\"\177\301"
) 500
(17
 #"\25g\2378%\305\0270\246a\30F\3\0p:\310\214\352\3226c{\236o"
 #"\376})C\351!8\220[\220\35\265"
 #"k\327\356\215\235\361\354t\300\273q\375"
 #"\306@\261\224\306e\363\36\334?4\231"
 #"\34\204\203\244Z\0\0\350t\374E\245"
 #"\226\337\362\333\267\271\333;\223!\224\260"
 #"\350m\315v\260\350k\311\25{\323\31"
 #"\273\276:\305\214J\324l-\3163\300"
 #"\216Or\276\375\326\356\262\313\325\334\376"
 #"\b\0\354V\27 \4\220A`?\214\316\v:Wv\35\177]\e\206\2574\266"
 #"8\n\276\373\370Z\247;\257\356\1\342\225\327/\324\356\5\200A\0p\302AR"
 #"-&\223\343\201\301\215/b\200TI"
 #"\347\334\270q=q\372\364\251\217\310\350"
 #"\264\346\365\215\3720\256\220\305\262\230\234"
 #"\17l\364\273{\362Kx<\332K\30\206\r\0\fK\364\17\227\226uV\36\0"
 #"@\345)\0\207\215\204\223\207\255\323\16"
 #"}\223\321d\254q\30\212n\0314\f\26\rBc\25l\241\202;\265\242\250E"
 #"BY\355Z\215\267\300N\243CES\203\25;w\250l\224\213\256\2676\324\230"
 #"t\\\1\303\331\225\374\37?\273\226\347\27&e3X\304L\f\303\202x<\332"
 #"+\356\236\374\373\273\264s^\213\24\341"
 #"\4&\345\213X,}\243>\2443\31"
 #"\235\222\347\v\370\345\3466\207\205A\307"
 #"\202\246.\212\364l\217/\270\336\270T"
 #"\246\342\\\222\251\271\247\205\22\246\327\331"
 #"\3\265\263\2722\216\315\301m\255\6\e"
 #"4\325\233\276\321\327\230\365~\241\322\257"
 #"\3\243\334\246\252\264<h\2501=_[\332\\\206\20j^\272:\261\231\311&"
 #"\230\265\345\246\17\vo6\206\217\236\35"
 #"\230\354tP[\363\256\352\e\\.J"
 #"\e\21\253\364\352J\207\233\206\273\317i"
 #"\247R\334\334y\347\245J\316\245\202\353\215K\333\323H\2"
 #"Ofs\31#\333\232\355-\2\236\240\362\251\311\247\216N"
) 500
(18
 #"=l\250q4\220\24\352g2\331;NT`On\372\0026\207\276Q\343%"
 #"\20\217\237\345\375H\267\331\v\351\204\207"
 #"\257$\264\262\250\355\337\372\32\223\23\247"
 #"\343cf\274\0216\344\364\201\222%L6Nb\30\6\206z\313\375\rEs\211"
 #"\320\351\262Q \226r\350\0\0\273\326^/+\3113,\220\253\370\305B\t3"
 #"P_k9\341\341\301\17\355\314\316C\273\n\227k\274\370\nwo\321\266my"
 #"K\37pi3\2678\354\26\243\3\f"
 #"\265\216\266\321\243G\377\331Y\371N\373"
 #"\374\210\21#\336wS\310\363\313o7\351|Bd>\35\323~\3700\327[\351"
 #"\301{!\377\252~j\366\305\272\306\216"
 #"io~\336W\226w\315\370\213\303\356"
 #"\352\353\31(\266V\227\31\211\302\e\r"
 #"\177\264\247{\373\t\3147[\355\240\361\22\205M}1\314UWk\1\6\217\340"
 #"8\234\24\210e\214\a&?v\273\223"
 #"\27\320G~\342\346\345\332\263\30\223~"
 #"\316\317\17S\26\26\242\a\6\3401\363B\371\265E-p\343b\355\205$X\346"
 #"\352\230F!*\260\374N\23\270\311\345"
 #"\372\21#F\274\337\31\317\256\246\267\334"
 #"\17>XUR\234\327\334l\263\270>\233\375F\364\302\366\204+\347+i6\223"
 #"K\310\346\323M\355\363\374v\344d\264N.\315kN&p|\365\360\211\336\243"
 #"H\27\245\37:\321o\6\0\300\374wbF\25\3465\317\324\327X\300iwm"
 #")\314o\312ji\264f\325\227\231\316\324\224\265AM\205y\230\\\315]8f"
 #"v\320\302\217\266\16\321\31\233\35V\256"
 #"\200\316l\256\267~ \220\261\226\1\370"
 #">bd\240\237\320\342t\222\207\265~"
 #"\302\261o\177\234(n\217\237\2614r"
 #"\276\325\342\372\2548\257\271e\305\212"
 #"\217\312\0\200\333)\313\256&\0\b\241\32\32N{\307"
 #";XL\215}!\250j\322\244I\304\275\t\205\277_"
) 500
(19
 #"\270\f\215\236\0214\372\341\311\207L\306"
 #"Q\205\366U&\265\377fq\31G\206N\360A\2411\212\v\356^\2\344\37."
 #"CnZ\36\2\200\305\0\220$S\362"
 #"\222\4\2f\212\273\227\300\26\231\240B"
 #"\221\361j\344\31(F\236\1\342R\201\230\331<iQ\330\211\207u<\34\0`"
 #"`\324@\r\32=3(\24!\0043\337\210|o\302\374P\344\25(\242h8"
 #"\355]\204PM\267&9\367\340VVQ\226R[j;]\222\333\350F\n\362"
 #"~Y\261\"\204\21\30\245\bu\330H\203\316W\364\310\212IC\203\271\366fV"
 #"\355i\0\200\301\351!<:\r\227\\>Qei5\330\371\341\3\224g\343\206"
 #"{\214\361\364\27\3\0\\B\b\235n\2505\236\216\212\32p\214/f2\30l"
 #"\332\233\276j\226\310'T>P\241\341\211(\22D\331\347k\225\n\5\366XW"
 #"\364\260\276r\256\331\350\200\223\373\312Z"
 #"g\274\36\365\242\325\344\\\231w\255\16"
 #"\352\312\355\247\313*\312F\302\343\216\234"
 #">\246\346\21B\b\35?~\342\32\206"
 #"a\371\375\207j\321\370\371\241\337$\216"
 #"\366\262\3\300\266\307\325\306\310\251\376\263"
 #"\25\32\336>\205\206\207\264\276\302\314\366"
 #"\370\267>\217\357\2370R\207\0 \241"
 #"=N.\227\363\2\372\310Q\364 \315"
 #"\242\366\270\251\213\3037\272iyN\241\224sL\"\347\354\e=+pvW\272"
 #"\206O\364I\361\16\226\242\330!\356_"
 #"\216\233\e\214\242\6\252\21\206a\371\307"
 #"\216\35\277\376$nO\374\244\0352$"
 #"9\362\344\311\223\374\354\363\365\25U%"
 #"-\v\ej\333\30R%\247\323r\351"
 #"\351\351\304\320\211\276_\225\3446\355\340"
 #"\360\350\204\233\206\233\311\3413\330\355\351"
 #"\tSCr\312\n[\276c2\t\311\340\301^,//\214E\247\333X"
 #"\210\4`0\b\6\334s+\261\233]\30 \300\344\375\324\251\0021\235[r"
) 500
(20
 #"\323\260c\322\302\3605\235\351t\323\t)\322E\221t&mIeq+\344e"
 #"5V\234<y\222?t\350\220>\235\345\357\210\247Z\314HJJ\322\34<x"
 #"\230u\353\222\241H&\362\0\251\262\363\361\243\301q}Nu\211q1\203E\354"
 #"y~j\304$:\213fw\330\356\356\272N\1771\322\357\243\31\a'\260X\304"
 #"\24\231\206\267\273\321l\2652\204r\253"
 #"\300\215\325P_m\4\253\331\371\245_"
 #"\230\342\205\210\1\312X\222\4\25A\340"
 #"\250\350p\21)M\362\35\303\227\262\276"
 #"\2618\214k;\323\351\303\27\234\250*"
 #"m\375\245\342N3\344^6\24\37\374\357aVRR\222\346ixuk\351\372"
 #"\320\241Cwn\346^E\321\203\25;"
 #";k\202\301\261\352\204\244\261\336_\357\331swp\354?L{\3323@R\255"
 #"\320\360\26\371\206H\353\203\242\25H\352"
 #"\306A\272\0\2213(R\2765j\240\346\233\200H\371V\271\232\213\204b\326I"
 #"\255\267\2605\244\257\e\n\357\257DR\25\247\351q]\253c\2403\210\235l6"
 #"\273\355\217?\376\350\326\251\312n\221G"
 #"\b\241\272\306r4|\212\347\216'\31"
 #"4\351\265\1l\237 \361)\201\210\211Bc\225\310;T\262$y\274\337@\225"
 #"\216\377E\3628o\327-\264\234\321\236\3277T\212\6\217\363\2315siT\220"
 #"W\220h\240T\301\331\317\341\321\235\341"
 #"\375\225\0313\227F\215\177\222.\211\202"
 #"\265#0\330\377dw\271tk\273\212"
 #"\242\250\"\273\335\2\34.\203\363\270|"
 #"\243\246\6L.\270P\332\334\332\342Hr\271\320U\241\233PP|s\361\372\23"
 #"\277\3369[[n\314w9\21qf\357\351\273>\251\30\306#I\4N\207\213"
 #"\367\375\332\253\371%y\315g\375\302\245UnZ>\336\244\267\272gg"
 #"\324\374\232\366B\360\344\307\351c\363\3518\2\222\aO\261t\325\21\335"
) 500
(21
 #"\"\177\355\332\215\17\20\205\0270X\370"
 #"\301\256\362\f\30\3561\246(\327\260\313"
 #"\330j/\355\23\257*g\260\b\374\374"
 #"\376\2#\300\262v\303\20\2\4^\223\302\332?Z,\30 `0\351\367?\242"
 #"\34\16\212F\247\341.\337P\331`s"
 #"\233\263\2700\273q\367\370y\241S\272"
 #"\322I\20\30\2\212\352\3269Z\200n\222oi1H5J\357\342_6\344\357"
 #"\354,=j\220fL]\205i\277H\316\316\358\321c(\223I+t9I"
 #"\2`\5\236\226\246\341$\247\373F\373GH\337+\315o\206y\336;\317\213e"
 #"\234K2%\367RC\215\5\352+\215\357\246\315\n:\245\321h8.\aE\20"
 #"\f\234~\372@qqp\242[\262\\\315\275\210H\262\256+\273\350t\2\0\3"
 #">B\250[N\210\335r<nii\3418\34\16:\215\326y1\201\230Mh"
 #"<\205\227\304\n\372\230\235\37f\353'.\f%\234N\204E%n^\201(x"
 #"\257\256Jol\326[\232T\36|P\372\b\350\34\36\203\262\230\34xa\216\1"
 #"Z\233\354\304\251\3%\2\251\234cnk\306\200\316 Z\20B\b\0*\326\37"
 #"\36\225\374j\312!{\247J\1\0\243\343@Y\341\261]\261Stg\200\330\261"
 #"c\307J\243\321x\354I\3\20B\b^\373\"\311w\370D\237\2\201\210\211d"
 #"*n\271\306S\260i\354\334\240\227\0"
 #"`\326\2401^\350\26\232\304\270\313\r"
 #"\b\237\20\tJJ\365\232\207\20\202\1"
 #"\303<\276\344\213\230\271<!\303\342\341"
 #"#Z<\351\245(\337'\351\n\352+\337\251\365T\332)\212\242zm\3003\231"
 #"L\34\227\313\325\365R\360=\fz\316"
 #"'\354\310\356\274\323\267\2564\4\330l"
 #"d~\237\4\267\304\252\322\326\227~\377.o\23\0\2601\0\373\205"
 #"?\2544\0\0\271\34\330\30\216\203\331\354b\0\0\\<Z\276T\246"
) 500
(22
 #"\346\234p\367\26\261\331|\372W73+O\17K\17\n{\254B\214D\2336"
 #"nb`\30\326{\a\214,\26\v\347I\375\312/D\32R\232\327t\232t "
 #"At\222\246\t\3071\323\261=\305\25\0\0\247a0M\255\23\204f\235\250\34"
 #"=*\315\17}yd\244J\257Gf:\r\3\300\376\347}\211c\30\223\316\304"
 #"\355\1\341\222d\300@R^\320x\345"
 #"\271\27\202\342\272T\212Q\20\25\35\325\35*w\365t+3\216?\366U\342\351"
 #"\317\17\262[]\307\24\356\\f\377\341"
 #"\272\31\24I]\246\321\360{}\21\303"
 #"\266\275\336\274R\246\342\274bw\302\360"
 #"\376^[?\337\374\366\265\3\30\206\275b\320[\241\276\30242)\315{>\0"
 #"\0F#\234\210\2\346\376\235\5\247\"\6(g;]\344V\212\302\273&O\201"
 #"\v\177\372\343t\377Cw\372\310\346\315"
 #"\233\327\264\266\266\36\357\252\357\245L\365"
 #"{\265\177\262\366\275\27\227\367\rEw?p\316r\5\214\3131\3U\343=\3"
 #"\305W\325^\2$\20\263P@\204\34\365K\326\346\2@r\277!\332;J-"
 #"\37y\5J\220\207\237\b\361\205\214,"
 #"\265\247@\37\24\2510\276\265&\236\377\244\376>oyl\377\304T]\375\330q"
 #"\251\306^\355\363|>\337\374\270sk\332$\3017#O\314]\365\365\262\254["
 #"\353\177\32%hi\260qq\34\213)/6n\341\361\31\306\230A\232\321>!"
 #"\22\250*k\e>\343\315\320(\204\320"
 #"\311\260p~\177\231\212\3\4\201\277\346"
 #"\255\241\363\343Gy:\\\16\22j\312\333\270\31g\252\16\317X\354'xl\345"
 #"Y]R\34\307\24W\257^1>._g\350\26y\261Xl\242\321h]\372"
 #"\207n^p\305\271\f\226Q\361#|\25_\255\276t\260\244\240)"
 #"\212\311\"\312\207L\360y\356\346\345\272$\241\202\333\210\343\0\346V"
) 500
(23
 #"\273\265\375\325U\231k\260\3438\16N;\3518uJo:\374\363\355x\211\234"
 #"\263G\256\341a\372\32K\374\271?\e\17\306\217\360Ut\245\323fwP\16\e"
 #"\tL\6\313\324\35.\0\335'\337\2@\301\2349^\254\256\362(\225\30\2670"
 #"W\377_\32\235\30\20\30!#q\2\257\375\371\253\354\363\0\0\24B.\270;"
 #" \273\266\374\221\306yy\305`\236\264\257'\17\3031p8\250\373kp8\201"
 #"\321\231,\302\36\24\355\266\224'`$\224\335i\370s\350\370 ig\372\354f"
 #"\0\247\235\4\f\300\204aX\357\0353\t\b\b\322U\326\25\305\2661\30\353;"
 #"K\367\361\221x`t\376\25\f\203j?w\272\200\244\320e:\203`\3\0`"
 #"\200a\206\312\326>\246V\a\0@\334\216\2159\rYg\212\214%\227k\353\232"
 #"\e\254\320b\260\370\a\364Q$\274\370"
 #"\357\376~8\201Y)\0221\376\363\335"
 #"\255u\321\203\324\357\310\224\34\207@F"
 #"\374\2433\235. \301\351D\0\200\265u\226\3768tk\206'\22\t\336\267\223"
 #"B\260\332\234\235\36\5s \20q\5\214ME\271\215\353\1\0\372\16t\267\v"
 #"\245\254\200\2444\237M\314\343tz\236"
 #"\207a^s\203\25\2#\25\237g\235\255z\23s\201\225$\201\251p\347~,"
 #"Ws\337`\262\2107\16\376\234\337d"
 #"\263\222\225b9\307\n\200\320\367\237\303"
 #"j\270\353\215\3219\1\n\34.\27\t"
 #"\200\21\255\335b\16\317\340~j2\232"
 #"\300e\353\274uU\2264\345\264\23\a"
 #"\0\254\265\331\2165\324\230%\225%-\213\302\372\273MgqhK\335}\4\300"
 #"\0270\268-\357\257u8\310M9\344\204\215\36\276B\202\242\260\317\0Qq"
 #"t\32\361>\233C\213\250+oc\304\215\360\330\3728[\246\277\35"
 #".\306Y\304:\273\215\244\b z\267\317\3\0L\231:\331A9"
) 500
(24
 #"\237<\221\362\v\225~f\2507\17\22IY\306\230d\315\333\211c\264R\317\0"
 #"\3419\6\223\200\342\353\3657\333\277\3626\255h`\0\0Q_\321Z\230s\251"
 #">\243\344v\323&\211\202\273U a\341\267\2577&j\274\5\237u\245\0035"
 #"\"\6EB\260\313Ab8\ro\351.\237ne\326\353\e\177..\252hm"
 #"j\260uYn\352+\341/\253=\5\3771\31]\t8\216\337\224k\270\205\273"
 #"\327\347|\374\305k\27\255m-6\32"
 #"\242\0\30\34\366\375\311\322\v\313\374\355\4\r\3'y\377<-\342\360i.&"
 #"\233 \3518\221\340r\240!\32/\341"
 #"\357\323\26G<\322\347[H\e\345\264\273H\247\235\302***\375\f\6\303O"
 #"\335\341\363\324\344\e\e\eO\370\370y"
 #"\"\n9\304\6\275\275\323\231\336\204\271"
 #"a\343r\257\3507\2608\214P#\311\331m\0\0\31\260IDAT\211\es"
 #"\254\323\346\252g\263\t:\0\300\216\323"
 #"\203Y\16\e\342Z\255.\360\n\23\375"
 #"\0247Bw\275O\234\372\372\213\311\a\2574\326Y\1(`b\30\306\37;7"
 #"\220\317\0231\31N\aE\253\2577500f*_\304p\267\331]\31\17\353"
 #"c2i\\\207\235\4\227\223\2:\313\31\353\351\255\303\32\e\eO<-\247\247"
 #"\32\360\212\213\2123\302\243B\332\324:"
 #"n\264Z\247\240e\34\257\350t\3674"
 #"\367z\35\311b\323\317\313\325\254\347."
 #"\35\2572\320Y4\202'f\362\274\203"
 #"\25\3\3052\372\327\255M\266\340\2322"
 #"\23T\27\267:\204\"\226\235\305\247\203"
 #"\253\221\304m\26\27)\224\260\276\220(\330_T\24\30\201'\244\273,Fg+"
 #"B\b\1@u\337\205}\a\374\266\371\312#:\331t\306^\263\313J\0\0\20"
 #"4\3728\261\e}\203\316\333\275 \347Zn\206"
 #"\217\257\317\200'\22{\322\24\360\344\311\323Wq:"
) 500
(25
 #"v=\"^y\363\371\177\304(\243\223"
 #"\334\377\245\366\22\334~\355\343\370\220\307"
 #"M;_\\\336\267\237B\303\253\362\t\221\242\300>r$\221s\327j}\204\37"
 #"\6E+P\314 mL{\276B\364*3i\214\227\323;H\262+e\232\357"
 #"\242\240(\371\227~a2\304`\322\354A}dK\37\247c\354\234\340\234Ac"
 #"\274\220\326G\210\344\356\2\2779oG\312#\342\2257q:v\375\344\311\323O"
 #"\274*\352\261\315\376\374\371\3635\317\215"
 #"K\25F\306)\5QI\332Q\333?\271\\w\365t\325n.\237\351_Wo"
 #"\364\356\252\334\242\2251\221\267\2577\377f1:5\210DWH\212\352\177T?"
 #"\375-\34\247\375D\243\341\200\1\334\237"
 #"$e\34m\241\1\2069K\362\233\16\35\372\251\360\353\3W\247\37432Q\275"
 #"K(a\322\32\352\255_\304\217\320]Y\2742.\362a\35\351\257\307\261]."
 #"\nw\330I`0i\240\363\0252\267"
 #"\255\272\326\20\225\244\35\25\31\247\24<"
 #"7.Ux\376\374\371\232g\252\371\243G\217\2640\230\364\e\3FjO\277\263"
 #"9Q\325\376\264%\22F\210o\250\24\305\17wO\351\2546&/\f\211\210J"
 #"P\267j<\5\310M\303\265\371F*\345\355i\356\236\202\330\320\0307\24?B"
 #"\233\330\261\f\223C\214Qj\5\233^]\27+\270\e\267\34\347\n\30\327FL"
 #"\3667\270ixm1\203\265\255\23\27"
 #"\205?Pf\306\322\210\315\343\27\204P\221\211j\24\336_\205&,\n\roO"
 #"{gs\242j\300H\355i\6\223~\343\350\321#]zcuZ\363\a\17\36"
 #",\36=jt)\203\215\26_<\\\221\364\321\202\263\265\355i\332 \t\320\31"
 #"\4\224\344\265=\362\262O\236\340\e\177\355b\335\t\263\311\325\354"
 #"\246\345m\227\252\2704\27b\335\357\253V\253\23(\n\1\215\365\340"
) 500
(26
 #"Pc\267\220M^\301\342EL;q\317\203b\31\305`\321\350\24E]U\351"
 #"xC\254\26\247\201\264\273<:\2261\266:\351\244\vaN;\t\306\26\373N"
 #"?\17\321}\a\204\217\26\234\255\275x"
 #"\270\"\211\301F\213G\217\32]z\360\340\301\342\316x>B>???g\352"
 #"\264\311\266\230\241j\312\330\354<\363p"
 #"\272w\240\30cqh`4\332\270\0\17\256\234X\215\256 \205\232\313\212MV"
 #"\r\277}\243\361\30\213E#\372\364\371"
 #"\237'\250\345\236\357\r\353\321\273\0020"
 #"\227\203\4\253\225\272\377\26\21\210\231\320"
 #"Xo\345\\\277P\233\345\e!\e\366"
 #"\333\326\334\373\257\261\25+\6\323\\v\222A\272(p\332)(-h:\264\372"
 #"_\347\36\331856;\317\304\fUSS\247M\266\345\347\347?\342\330\364\0"
 #"\371\352\352\332\323\261\3\242\252\203\373\212"
 #"\210\330\341\2321\235=-]\250\320D"
 #"Q\250\300/L\366\343\342\325\221\35="
 #",A+*\337\3567\300[\266\363\363\354;\3466\a\215+d@`\0\357\376"
 #"\3r9\1\0\20\320:\371,\242(\4\316\16\343\271H\312\202\226F+\2\0"
 #"\370\317\346\233\17\324\\\221\261e0\213"
 #"G\237b\263\270\300fs\201\306G\304\206.\20;\\3&\270\257\210\210\35\20"
 #"U]]}w\a\271S\362\311C\22"
 #"\b\245\216\343\341\27\256L\376\342\265\213"
 #"\325\235\t[\2734\243\354\326\25\375\273"
 #"\255\6\e\353\340we\178,\355\331"
 #"\203\310\355\313N\331\26\255\30\340\31\34"
 #"\255x\251\251\301\272\226\345\243\272\177W"
 #"\225\323\352\4\204\0\30lf\247\335\315"
 #"f\265\337\217\27\311\330\314\306*s\247"
 #"S\311\346Z\253\313\341 \t\322A\201"
 #"\335\342\2\17?~\2277\244|\361\332\305j\277pe\262R\307\361H\36"
 #"\222\360\300\372c\2732\347\372u\3533\e\32\e<TJV\312\17k\257\324"
) 500
(27
 #"v\"\a\322_\327\262'\275\24v$n\250\3663S\233\3\302\6\251\276\353,"
 #"\237\200M\30t\376\302KRw\316\357\313&\355\271oX\312$_\226g\200x"
 #"\17I:\256u\314?4\335\237\251Ps>A@\336o\232<\1mn\337!"
 #"\232\372\207e\217{-R\304\344\3226"
 #"\272\34$\30\333\354@!\4\22\31\347\243qs\203\217\314y-R\364pW\4"
 #"\0\370a\355\225Z\225\222\225\322\320\330"
 #"\340\261~\335\372L\0\270\333\306\20B"
 #"\250\266\2666\23\247\303\325\201\251\236\a"
 #"\272z\247\246L\367\25\214y>\350l\332\354@\2242-\0\311\325\\\24?R"
 #"w\253\353\3670`\223\356mX\266\207"
 #"\345h9\216\320r\374\341\274w\343\37"
 #"\365\321\337|e\1\375\341\270\1\223\334"
 #"\331\243g\4\240\224i\1\310'D\202t\376\"\2246;\b\245L\v@\317\315"
 #"\r\266MX\20\372aW6\rL\365<\200\323\341jmmm&B\baN"
 #"\247\263e\352\324\251\5\207\216\355\273a"
 #"i\205\227\21B\256\207\237\334\264\305\21\2374\el\3\b\2O\240H\4\b\0"
 #"\256\234\254\2\205\206\335\24\21\357\376\372"
 #"\317_]\357t\a\2477\220\276(\354C\263\321\3616\0\206_\370\263\34\350t"
 #"\34\372\16v\a\f\303\0!\0044:\16\224\v}w\360\247\202G\\\3331\f"
 #"\243q\204\260q\324\260\211\21\273v\355"
 #"\n\304\365\372\6\343\241c\373TQ\375t\177vF<.]\3136\266:^\242"
 #"\21x\2E!p9I\270}\275\0365\326\2313)\27Cb\2638\306.\\"
 #"\330\367\211W\275\254\330\222\306I\235\256"
 #"\23\353\302EbL\204\2111\354\177A"
 #"\247\23\211\23Su\342\351o\207\213\267"
 #"\\M{\354\316\213\325\342\232\210a\30n5\273\200r\201\311i\245\35"
 #"\273\235\255\247\\N\0220\2\3\227\223\2\202\206\317K\235\25\264.="
) 500
(28
 #"=\344\1\277]\204\220+\252\237\356\317"
 #"C\307\366\251\364\372\6#\36\32\32\261@$\25\260\302\372\2735>\254(al"
 #" _\312\344\36F\b8$\211\300Pg\206\263\207\212j\314\6\306o;\266\355"
 #"\330\363\307o\307\255v\233}\254\205O"
 #"&uelt\222:\21\303\260\344\335\233/]-\316\2674\201\25kR\211\4"
 #"MJ\17~\223\322\203\337\244\362\3407Qth\252-37\345\235kl\332\372"
 #"V\366Y\317@Y\362iX\361\310w\307\250)~>\224\v\3210\f\203\346\6"
 #"3\250U\356\r\5\5w4\226&\346\356\263\207\212j\f\265f\3000\fH\222"
 #"\2\32\35\177\325\316!G>,#\254\277[\243H*`\205\206F,\300\230\34"
 #"b\237\324\215k\253.i}\340\306\222Y\213\"\24mv\327>\227\213L4\266"
 #"8\2404\277\t*\213Z\217\355\333\263O:~\342x\e\206aq\377\372\327?"
 #"\n\216\234\377!\320;B\226\374\353\306"
 #"[\247:\226\0373?\270\377\345#U\v0\300\346H\225l\320\327\230\276j\321"
 #"\333r\2052&\310\3348 q\343\0A'\240\245\321\6\315\r\26h\322[\300"
 #"\351 \331\201}\24_\2656\331\240\271"
 #"\301z0\250\257\342\304\245c\25k\1"
 #"\0\26\276\3237\260\321`;l\267\220\236\b\0n\\\250\6d\25~P]["
 #"\371>I\222\31\277\377\366;sb\372D\203\326W8\314+H\2\\\1\35\350"
 #"4\374\24\301vN\371\355\353\"}G"
 #"\3334\336\302\37\r\365f\26\215\311\244"
 #"\245\206D+\366?\374\204\3146R\2070*\321a! \367r\203\215\303\20o"
 #",/\277\351\356\341\241\35v/\vy\340\300\221}-\26\363{:\177\311\327/"
 #"\274\0216l\333\3477+\1\0\324\36\242\276$\242\16\bD\f"
 #"Yc\235=) Tb\374\375rz\256/\254\353r\263\21\0`"
) 500
(29
 #"\5\254\300\253\337=x\366\340O\271\270"
 #"\273\217hGin\363\n\205\212\327\244\2575\355li\266\205P$\362$I\4"
 #"v\233\v\232\364f\303\231\223''\3"
 #"\0\"\bb\300\204I\23\240\274\274\342"
 #"\227\204\204\370\317s/7\274\34\225\340"
 #"\301\242\363\251\301.\eK\a\0\17\220"
 #"\17\211V\320/\235\250L\5\241\224\205"
 #"F\317\b\370\345\341\2211\375\245\260\322"
 #"\3041*t\352\374A\327kK\336\374\4!d\177xn\\Pp\273\225\311\306"
 #"*\207L\360ES^\211\310D\bAP\264,J\346\306m\213\35\242m}\341"
 #"\335~}\273~\e<>\354\3313\211\220*\331\375\370bV\245.P\362\346\304"
 #"\27C\215#\246\370\243Q3\2P\337$\r\2\200\257\315fsq'Sv\373"
 #"kK\336\374\344\324\371\203\256\3041*4~AH\351\303\262G\317\b\370E("
 #"e!\334\351$\213j\312\215\217.\312"
 #"a\30\307\345\240\0\307h\330\347k?"
 #"\215\1\200G\234\376\375\374\374\312\355V"
 #"\264\315Pg\6s\233\303w\332\222\210oM\255\316c>\241\22KT\242z\304"
 #"\326\17/]y\\M?\16\223&\355!\ek-\227\243\342U\207)'\371i"
 #"MI\e\17\307\357\16h\267o\326\232"
 #"?\372h\265\216\303\341tv\212\212\361"
 #"\371\332Ocp\214\206\271\234\24\270\234\344#cGM\271\219\235d\21\356&"
 #"U\376~'\273\361\221\21\326\351\240\346\322\23180\231\fTSS\377\310*\n"
 #"\0\0\216c\276[\266|\233RWij\6\f\223V\225\264\315#p\\\354\356"
 #"\315\37\262iYf\346\212\275\203y\333.\214\345w\227x\21,f\256\330:R"
 #"\2\0000aV\340\273|\21\353R\351m\3\220\244\23\244b\5l\337\262\2472"
 #"99\311\35\0$\235\225\257\251\251\317`\261\30"
 #"\b'0@\2001\37N\277\223\335\310q\223*\177"
) 500
(30
 #"\3073.f\315\261\332\35\332\304\321\236+W\354\30|\177\326mwRW\230l"
 #"\372\255k\327\263\260\355[\266v\265,"
 #"\314\216\217\217\343f\236\273\331\312e\212"
 #"\2418\327\0\376\2212\27[\314\364\301"
 #"0l\330\217\253/\237[\373\2173\327X<l\330\336\334\364\247\272\3510$V"
 #"\226\234\326o\307\236_\267]\252\3050"
 #"l\324\316\315\327Cq\232i\254\200'\267I\305\32(\272]K\6\a\5\273\367"
 #"\357\337\277S\37z\0\200\355[\266\266^\275v\5\261XL`2h\27\333\343"
 #"W\354\30\314J\34\355\271\322jwh3.f\315\1\204P\333\206\r\e\366)"
 #"\334\271MI)\32\367\216}c\342\242\260I\276\21|\24\35\35y\253\253ob"
 #"\204\20\332\367\353\276|\205Jh\321x"
 #"\t\320\250\351\376( \302\r\315\2309\35m\334\260\t}\374\361'ht\332p"
 #"$\2221\17\0\300#\263\273\216A\246"
 #"\346,\v\216\360Bo\277\375\16\372z"
 #"\323f\364\366\333o\243\360h\37\344\21"
 #"\314\374\363\213o\336t\254\333\362\1\2"
 #"\200\306\371\363\347\177\3618{\242\373F"
 #"\336\322\372\263\311\364Eah\322\342`"
 #"\217v\371I)\32w\205;\267i\303\206\r\373\20Bm\200\20B\16\207\203\34"
 #"6tx\211\312\227y\244\343\316\350\350Ea\342\301c\275.q8\254\206K\227"
 #".\355\350J\331\317?\377\374:\0\224y\6\210\221o\260\34m\\\37752\32"
 #"\215\367\323\353\353\352\321\314Y\323\221\332"
 #"S\260g\346\233\341\367\217\240\265\207\5"
 #"\233\243\351\3011\212\25\221}CPF"
 #"F\346\3\262\317\235\275\200B\303}\321"
 #"\322w\247\242\212\31224x\320\3403]\ft\b!\204.]\272\264\203\315a"
 #"U\f\235\340\343\2300?\370\365W_\365e\"\204\340\2555\361|\225"
 #"/\363\310\260\241\303K\34\16\a\211\356)G\b!\224\221\221\271\233`B"
) 500
(31
 #"\325\260\t>;:\0326~A\360r\261\2220\216\329:\347\316\235\302|\204"
 #"Pf':m\32\255:\233'\242\241"
 #"\371\v\346\"\227\363\221#\365\250\262\262"
 #"\nED\373\241a\223|\326?L\376\205\177F$x\207\210\320O?\376\334)"
 #"\241\37\177\374\t\341t@\277\377\261\27"
 #"\225\225U\254G\235\234\331G\be\336"
 #"\271S\230?*%\365\206\324\235\356\30;'\370dG\35\303&\370\354 \230P"
 #"\225\221\221\271\273\275\300\3\313X\273w"
 #"\357\252\0\200,\261\230\21\336\261\340\220"
 #"q\276\rr5\313\t\0\227Y\f\326\316\v\27.^\353X\316\351tQZO"
 #"E\215@\216\243\275{\366=`\21EQ\310n\277\373\226\234\277\360y\344\35,"
 #"\336\3640\371\340~\374\304\330\304PT"
 #"x\247\350\236<\347\0032\364\372\6\304"
 #"\0273\321\257\a~\352\364\341\\\270p"
 #"\361\32\213\301\332\t\0\227\345\32\226c"
 #"x\272\237\371\2057#\357_Z \0263\302\1 k\367\356]\17\234\256~\340"
 #"\273z\362\344)\332\357\276\373\326\263\245"
 #"\305\271m\324t\337C\377\374$\201\17"
 #"\0 sc\315\211\31\254\243\rJ\363\214\321\5sg\245\216\31\241\2349{\366"
 #"*\0(\a\0 \b\34\333\276}\273\222F\277\273(\321\216\206\206\6\30<x"
 #"0\244\246\246Buu5\3408\68\r=2\360\21L\2\a\0 )\n\276"
 #"\370\342\v\350\323\247\17\354\337\377\277y"
 #"\27\206a\200\341\0240\230\217\270\3\225"
 #"\317\234={U\352\230\21J]0w\326\2404\317\230~\311:\272P\312L\337"
 #"\372\351\265\343\377\374$\201?j\272\357"
 #"\241\226\26\347\266\357\276\373\326s\362\344"
 #")\332\216\205\37YT\230;w\236l"
 #"\335\372\365\222k\347\352\207\335\276\335"
 #"\264\21\0@\310b^\345\360\0307\271\2\6\370\206\311"
 #"!0Z\244\332\265\353\373\205\343\306\214\373\22\0nb\30"
) 500
(32
 #"\6A!A\230\312C\b\247N\377\357\230]II\t\2349s\6\216\35;\6"
 #"7\262o\300\225\253\327Z\3354\274\354"
 #"\207u\372\206\250\f\25\225e\225W\257^\205\223'OBnn.\\\270p\1"
 #"\20\272\373 \217\37?\16,\36\200H"
 #"\312\6\204\340\372\275b\267\306\215\31\367"
 #"\345\256]\337/\f\214\26\251|\303\344"
 #"\300\0252\201\315c\\\22\212\271W\0"
 #"\0n\337n\332x\355\\\375\260u\353\327K\346\316\235'{Xo\227\253\267\21"
 #"Q!\271\1\321\342\237\332\233\316\310\311"
 #"\276\223\322f\a\242\304\321\236(i\254"
 #"7\272\3477\177g\343\327\e\367\222$"
 #"\332\236_t\325:z\246\3671\211\214\237\275v\355ZD\222$B\b\241}{"
 #"\367\241u\353\326\241\324\264\321(\240\217"
 #"<\353\341&\337\36b\207h6F\365\vA_|\261\26m\331\262\5UW\337"
 #"\275\322\362\304\211\23\310/\300\327\34\20"
 #"\303\237S\255/\272p\344\320\261\27\20"
 #"B\350\253\257\276\372\21\0\356$\214\324"
 #"\241\244\261\336(1\325\23\245L\17@"
 #"\23\346\207\34\231\267$\326\r!\4\1"
 #"\321\342\237\"\242B\272\374\217\233.wl(\222*e\263\305\367Wa\350\f:"
 #"\v\303\0\356\334ht\31[\354\26\317\0\261  J\356\267\352\243UM\31\27"
 #"\256\316~\373\375\27\247\362\304\364;M"
 #"\215\306\331_\254\377\350\322\211S\177\272"
 #"\17\32\230\f\16\247\3N\34?A\326"
 #"\266\344\325y\205\363\272\274\324;r\260"
 #"l\325\325S\372\260m;6\367\0311|\4\337\341\260A\316\315l8y\352\270"
 #"U\351\213U\235;\330\266\235\"!\351"
 #"\230\376|\230\321h\314\\\275z\265* J\356\327\324`\205\222\333MmB\t"
 #"\213\35\31\247\246#\200\341F\253\231\a\0\365l\272\330AZ\251R\0\b"
 #"\356Lg\247\344\21Bh\335\227\233\34"
 #"\21Q\301~\276\21\230\242\350\6\322\263"
) 500
(33
 #"\271\270\305E\2\260\271\4U_\345\374"
 #"!\357\252\276\r\243\301,\2\307b\376<x \362\275\17^F.\a\305B\b"
 #"\325\f\35\357>\304`\311\375j\343\267"
 #"W\201\305\305\201\305A\177\206z7l"
 #"\330\263\23u\351\322\362\365\273\331\325+"
 #"\336]\221\364{\374\227\341\307.\354Z"
 #"\335\372\273\vDJ\6(\274`\303\342"
 #"\203\211\367\217\206\221$I\277~\375\232"
 #"\256\256\256\216_\337\b\325\310\5?\0"
 #"\0O\351N\233\217\23\30\330m$\0"
 #"\233\36\353\e\201\31\263\316\325\373\335\270"
 #"\226\247G\b\241N}\364\272j\22N\247\3238irZ6_J\214]\276="
 #"I\224<\316\373l\302(O\0247\322"
 #"\3\1\300\271\202\202\202\217\367\357?p"
 #"\16\0\3460\30\274\320\ey\227\34C"
 #"\247\350\266v\325\254\377j\210L\201\340"
 #"\374\222\254\302_\367\376\347\203\222\222\222"
 #"\f\0H\337\277\377\300\271\302\302\302U\0p&>E\207\342Fx\240\330\241Z"
 #"4n^H\245HA\214\23749-\333\351t\32Q\27\350\262\331c\30\306\210"
 #"\211\32(8q\356\340\312\253g\365\377"
 #".\3163$\226\337n\255\26\273\21\242"
 #"\267\336Y\222\240\321h\242\3\2\2\330\b!!B\200\227\224\347\322MM]x"
 #"-\364\0\332\214\340\321\324\\\357\e\24"
 #"\24\332\344\345\345\345\203\20z\17\0\302"
 #"\314fs\324[\357,\341|\273m\203"
 #"\271\271\216l\221\252\331r\241\204\245\300"
 #"i\350\303\230\250\201\254\307] \336%"
 #"y\202 \30\263\237\237e^\365\361G-5%M\373\334uJj\376\314\177\354"
 #"\262Z\255\241\213^ZD\273|\371\362"
 #"\315\304\304\304\347\351tz\30\206\1p\271|hm\262u%\356/\243E\17\256"
 #"\266V\v\304\r\366\375\34\356\276\245\344"
 #"N\247\263\371\322\245K;\26\277\374\2170:\306s\261\331"
 #"\354[\373\376\273\355\365\242\334\6@VA\343\354\347g\211\t"
) 500
(34
 #"\202\350\372\233\242\253&\321\216\234\234\234"
 #"\332\300\300\340;\205\245\367\247\367\326\242"
 #"\302\242=f\263\371~s\"I\212za\336,\244\366f}\327[\315\236&\204"
 #"\241\a\16\337\237\234\335\207\331l6\26\25\26\355A\bY\21B(\377v\16\n"
 #"\n\16)\314\311\311y\342\265RO$"
 #"\217\20B\5\5\5\365\213\26\275\274\377\366\355\202No!\260ZmT\362\320d"
 #"cee\371\346\336\"\17\0\211\233\277\335\360\310\354\257#n\337.hxy\321"
 #"\313\373\363\363\363\237\352\177,\237\212<"
 #"B\b9\235NWW\356\235v\273\335\265p\341\213Y-\306\372\243\376\321 \373"
 #"+$;\v\2337G\323\3\"\344\357a\30f((\3107we#EQ\224"
 #"\323\331\311\207E\27xj\267\24\32\215"
 #"Ft\345\322\215\3438\345\245\363\316\270"
 #"\222\2351\254\272\36\372v\226\347\257 "
 #"\247\214\20\b\304\314\225\b\241\353\2\201"
 #"\260K\2273\f\3030\32\215\366D\227\370v\364\310}x\4APc\236\eS"
 #"\t.&\340\255\342g\372O\232\307\341\332\265\32TS\336\6\0p]\"\221\30"
 #"zJn\217\334o\217a\30S\255V\256\2\240\34\373\217nI\304\372b\231\350"
 #"\n\352\362\326\203\356\"\343H\225\231\316"
 #" \3101c\306p\231Lf\367\217\223"
 #"t\201\36\273\t\261\270\270\270u\373\366"
 #"\2359\231\227\317}\4w\340\261\236\322"
 #"\335E\334\b\217\17\234\16\322\364\374\234"
 #"\347\247\3@\227\3560\335E\217\221\227"
 #"\313\345\372\360\360\360\314\226:\4`T"
 #"\367\350\235\3255\345\246\347\0\240I."
 #"\223\27\366\244\334\36\373[\a\205BA"
 #"\244\246\216\342\314\2301\r\\\204!\t"
 #"\0\16\365\204\334\261\263\303\302\365\225&"
 #"&\0\224\372\373\373W\3@\367\376\231\354qx\332\327\302\323 ;\373\272"
 #"e\366\354Y\226\260\30u\1\352\241\327\\x\254b'W\4(&&&\a"
) 500
(35
 #"!T\330\223\366\366\350\355\247f\2639"
 #"s\347\316\357\213o\347\324\221\351\v\373"
 #"v\373\204\343\303\360\363\303\230\277\377r"
 #"\236\270p\346:\31\26\26V\5\235\335"
 #"\35\361\27\320\243\344\a\f\210#\335\335"
 #"5f\276\220\21\\V\250\377\350\257\312"
 #"C\22V\374\257\a~\230\36\26\332\3071w\356\334n\273\224?YA\17c\306"
 #"\214\351W1\34l>!\322\3027\326%\6\243\277\320\344y\"\326@:\v\320"
 #"\334ys\312z\332N\204z\341\322_"
 #"\201@\230\317a\362\34\"\201\3247\353"
 #"\317\262G\327\315\236\22!\351!\f\255\217`+P8l\337\266s/\0<v"
 #"\207\367Y\320\343\344\355v\273`\352\364"
 #")xB\277\221P\230\337\220\260e\313\223\2756:\203;n\37\322Xm\362\246"
 #"3p\347\352\325kH\270\373\257\304=\212\36'o4\32}ccc\351#\206"
 #"\247\200H,\372h\313\336\222g\232\221"
 #"5\327\333?\245\20\340V\253\353\342\264"
 #"\251S^\204^\370\267\245\36'/\227\313=\224J%->>\168\230\312Q"
 #"_C\312\1\0\346\254\30\314JL\365\274\342\23,-\210\36\3501\2\273\3472"
 #"6,\335\307#\264\257\333\215\310DMA\332\314\200\b\0\200qs\"E\5\331"
 #"\r.&\vGZ\215\307%w\255{\357\334y\335\323\203Hff\246+#\343"
 #"\356\37\204\276\366\332\22\344\31(\310@"
 #"\b\201:Z\315\221+\271f\f\3\244\324\362,\301Ir\36B\b\202\242\24\27"
 #"ht\2\2618t$pc\367G\bAX?\267u\32/!\"\230P\273\177"
 #"\377\376\222\236\266\261\35=^\363+V\254h.**\"\1\0\2\2\202\241E"
 #"O\372\365\37\246\231\23\357\35oWz\362\1!\200\372*3\226w\272\1\0\0"
 #"J\v\232q\227\223\4\271\232\3A\21r\347\250"
 #")~>\365\265\226\24:\23\3\322\0167\a\16\34"
) 500
(36
 #"x\276\247mlG\217\367#\261Xlhnn\346\347\344\344\20\337l\376\32\30"
 #"l\220\26\335h\36\345\361r\356O*\32o\n\200j\223\313\341\262jew\217"
 #"\245\206\366S\326\265\32,U\22\25\347"
 #"\253\2408\357\334?\267]I\343p\351\276,&\307:lX\f\210D\242N}"
 #"\200{\4=\335\224^x\341\205\315\341"
 #"\341\341\256\220\220\20\3\0004\370\365\21"
 #"\"\17_\21\n\210\224\335\363\317\1\f"
 #"u\360\266\204\16\277\227/\a\3343P"
 #"b\361\215\20\242;\3059\266\213\347/"
 #"\376\326\323\366uD\217\223ojj\272\b\0\v\376\375\357\177\257IOO\377m"
 #"\375\226\325V\377>\22\244\363\27\37J"
 #"\271\267W\336U\350\23\257Z\245\322\361"
 #"]~\341\22\264p\341\202n\375\243\370"
 #"\263\2407\232\375\0\204\220\34\0\344v"
 #"\273\3\277q\363\n\320\30\237B\213\336"
 #"\221R~\241U\v\0E\235\225K\235\36.\256,n\31\357\356-\"\252K["
 #"\311\353Ws~\1\200\20\0x\304\247"
 #"\246\307\320\313\17\327A\2431\327x\5\211Q`\244\34y\370\211/\242.j="
 #" B\372\225\316_\214\372\r\321\"\0"
 #"\370\245\256\256\276G\277\340:Co\377"
 #"\247\5q\372\344\211\300\352\222\326\"\221"
 #"\214\rV\263\323\277O\242f\316\303\231"
 #"\206\216\367\361oj\260\217\222\272q\240"
 #"(W\337\266j\325*\261\233\233\242S"
 #"O\253\236Do\223\307\343\23\342\203\224"
 #"r\367\203\306\26\er\323p\245\3059M)\17g\272~\2766\202'\240\373\322"
 #"Y8\230[\241x\346\314\231\f\350\302"
 #"\315\254G\321\333M\v!\204\216\349\222\5\4\24\rL\365B\32/!\n\213"
 #"u\373\27\272\327\334\207L\362\31\251\320"
 #"\362\34\375\207y \245\216eMII9\372w\330\204P\3577{\0\0\30"
 #":t\250\264OX\244\335\2407R\36~\"h58VO~)l\25\0"
) 337
(37
 #"\300\355+\r\253E\22\26\235F\303\301"
 #"\322F\230\276\371\372\e\371\337a\23\300"
 #"\337\360\17F\0\08\216{M\237:\355jIA\243\225\305C\300\341\321\340\312"
 #"\351\232\267\375\303\345Ev;\25\250\365"
 #"\23@I\201\36\2\375\302Ny\350<\236x\211_O\1C\b\365\332\266rG"
 #"8\354\16Wx\237\320\353q\303\2b"
 #"j\32\362\240\252\330\4\306\26\a\370\204"
 #"\210A\255\326@\346\361\362;{~\376"
 #"]\36\25\35%~\262\264\236\301\337R\363\0\0004:\r\273x\341\22o\302\350"
 #"\331\320\334d\4\317\0\t\204\305\272\1"
 #"FP \343\353 +3\207\351\37\340"
 #"\337\343\337\354\217\303\337F\36\307q\202"
 #"\317\347\361>\\\376\371\37\246f\f\20"
 #"\334\35\360\34V\200]\333\217\224\230L"
 #"\306\26\36\217\327\243\233\35O\264\351\357"
 #"TF\247\323\265+V| \315\313\322"
 #"\27\331\314.\3000\f\362\256\325:\373"
 #"\366\355\227\255\325j#\376N[\0\376\306>\337\1\305\203\a\r>~=?\363"
 #"y\221\230\305\254+\263\034245q\270\\n\322\337l\307\377\typ8\34"
 #"5J\245\352\347\346\346&\317\302\302b\17__\357~\177\267\r\0\0"
 #"\377\17\333$\301\332\355HZ\347\0\0\0\0IEND\256B`\202"
) 0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 8 #"canvas_x"
0 0 24 3 2 #" ("
0 0 14 3 1 #"*"
0 0 24 3 2 #" ("
0 0 14 3 11 #"image-width"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 2 #") "
0 0 21 3 1 #"8"
0 0 24 3 2 #"))"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 8 #"canvas_y"
0 0 24 3 2 #" ("
0 0 14 3 1 #"*"
0 0 24 3 2 #" ("
0 0 14 3 11 #"image-width"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 2 #") "
0 0 21 3 1 #"3"
0 0 24 3 2 #"))"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 6 #"canvas"
0 0 24 3 2 #" ("
0 0 14 3 11 #"empty-scene"
0 0 24 29 1 #"\n"
0 0 24 3 16 #"                "
0 0 14 3 8 #"canvas_x"
0 0 24 29 1 #"\n"
0 0 24 3 16 #"                "
0 0 14 3 8 #"canvas_y"
0 0 24 3 2 #"))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 40 #"; places cat at the bottom of the canvas"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 1 #"y"
0 0 24 3 2 #" ("
0 0 14 3 1 #"-"
0 0 24 3 1 #" "
0 0 14 3 8 #"canvas_y"
0 0 24 3 2 #" ("
0 0 14 3 1 #"/"
0 0 24 3 2 #" ("
0 0 14 3 12 #"image-height"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 2 #") "
0 0 21 3 1 #"2"
0 0 24 3 3 #")))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 34 #"; ------ Happiness related -------"
0 0 24 29 1 #"\n"
0 0 24 3 1 #" "
0 0 24 29 1 #"\n"
0 0 17 3 31 #"; background and its dimensions"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 5 #"bar_x"
0 0 24 3 1 #" "
0 0 21 3 3 #"100"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 5 #"bar_y"
0 0 24 3 1 #" "
0 0 21 3 2 #"20"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 1 #" "
0 0 14 3 12 #"gauge_canvas"
0 0 24 3 2 #" ("
0 0 14 3 11 #"empty-scene"
0 0 24 29 1 #"\n"
0 0 24 3 16 #"                "
0 0 14 3 5 #"bar_x"
0 0 24 29 1 #"\n"
0 0 24 3 16 #"                "
0 0 14 3 5 #"bar_y"
0 0 24 3 2 #"))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 33 #"; WorldState string -> WorldState"
0 0 24 29 1 #"\n"
0 0 17 3 71
(38
 #"; Every time the down arrow key is pressed, happiness increases by 1"
 #"/5;"
) 0 0 24 29 1 #"\n"
0 0 17 3 62
#"; every time the up arrow is pressed, happiness jumps by 1/3. "
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 2 #" ("
0 0 14 3 4 #"feed"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 1 #" "
0 0 14 3 5 #"click"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 3 #"  ("
0 0 15 3 4 #"cond"
0 0 24 29 1 #"\n"
0 0 24 3 6 #"    [("
0 0 14 3 8 #"string=?"
0 0 24 3 1 #" "
0 0 19 3 4 #"\"up\""
0 0 24 3 1 #" "
0 0 14 3 5 #"click"
0 0 24 3 2 #")("
0 0 14 3 9 #"make-vpet"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-x-pos"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #") ("
0 0 14 3 1 #"+"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 21 3 3 #"1/3"
0 0 24 3 3 #"))]"
0 0 24 29 1 #"\n"
0 0 24 3 6 #"    [("
0 0 14 3 8 #"string=?"
0 0 24 3 1 #" "
0 0 19 3 6 #"\"down\""
0 0 24 3 1 #" "
0 0 14 3 5 #"click"
0 0 24 3 2 #")("
0 0 14 3 9 #"make-vpet"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-x-pos"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #") ("
0 0 14 3 1 #"+"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 21 3 3 #"1/5"
0 0 24 3 3 #"))]"
0 0 24 29 1 #"\n"
0 0 24 3 5 #"    ["
0 0 14 3 4 #"else"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #"]))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 21 #"; WorldState -> Image"
0 0 24 29 1 #"\n"
0 0 17 3 49 #"; changes the color of the chameleon based on its"
0 0 24 29 1 #"\n"
0 0 17 3 17 #"; happines level."
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 2 #" ("
0 0 14 3 6 #"colour"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 3 #"  ("
0 0 15 3 4 #"cond"
0 0 24 29 1 #"\n"
0 0 24 3 6 #"    [("
0 0 14 3 2 #">="
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #") ("
0 0 14 3 1 #"*"
0 0 24 3 1 #" "
0 0 14 3 5 #"bar_x"
0 0 24 3 1 #" "
0 0 21 3 3 #"2/3"
0 0 24 3 3 #")) "
0 0 19 3 7 #"\"green\""
0 0 24 3 1 #"]"
0 0 24 29 1 #"\n"
0 0 24 3 6 #"    [("
0 0 14 3 3 #"and"
0 0 24 3 2 #" ("
0 0 14 3 1 #"<"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #") ("
0 0 14 3 1 #"*"
0 0 24 3 1 #" "
0 0 14 3 5 #"bar_x"
0 0 24 3 1 #" "
0 0 21 3 3 #"2/3"
0 0 24 3 2 #"))"
0 0 24 29 1 #"\n"
0 0 24 3 11 #"          ("
0 0 14 3 1 #">"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #") ("
0 0 14 3 1 #"*"
0 0 24 3 1 #" "
0 0 14 3 5 #"bar_x"
0 0 24 3 1 #" "
0 0 21 3 3 #"1/3"
0 0 24 3 4 #"))) "
0 0 19 3 7 #"\"white\""
0 0 24 3 1 #"]"
0 0 24 29 1 #"\n"
0 0 24 3 5 #"    ["
0 0 14 3 4 #"else"
0 0 24 3 1 #" "
0 0 19 3 5 #"\"red\""
0 0 24 3 3 #"]))"
0 0 24 29 1 #"\n"
0 0 24 3 13 #"             "
0 0 24 29 1 #"\n"
0 0 17 3 40 #"; --------------------------------------"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 15 #"; VCat -> Image"
0 0 24 29 1 #"\n"
0 0 17 3 51 #"; positions the happiness gauge onto the background"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 2 #" ("
0 0 14 3 10 #"render-bar"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 3 #"  ("
0 0 14 3 13 #"overlay/align"
0 0 24 3 1 #" "
0 0 19 3 8 #"\"middle\""
0 0 24 3 1 #" "
0 0 19 3 5 #"\"top\""
0 0 24 29 1 #"\n"
0 0 24 3 18 #"                 ("
0 0 14 3 17 #"place-image/align"
0 0 24 3 2 #" ("
0 0 14 3 9 #"rectangle"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 14 3 5 #"bar_y"
0 0 24 3 1 #" "
0 0 19 3 7 #"\"solid\""
0 0 24 3 1 #" "
0 0 19 3 5 #"\"red\""
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 36 #"                                    "
0 0 21 3 1 #"0"
0 0 24 3 1 #" "
0 0 21 3 1 #"0"
0 0 24 3 1 #" "
0 0 19 3 6 #"\"left\""
0 0 24 3 1 #" "
0 0 19 3 5 #"\"top\""
0 0 24 29 1 #"\n"
0 0 24 3 36 #"                                    "
0 0 14 3 12 #"gauge_canvas"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 17 #"                 "
0 0 14 3 6 #"canvas"
0 0 24 3 2 #"))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 51 #"; produces a rectangle, of a given colour, on which"
0 0 24 29 1 #"\n"
0 0 17 3 22 #"; chameleon is placed."
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 2 #" ("
0 0 14 3 10 #"background"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 3 #"  ("
0 0 14 3 9 #"rectangle"
0 0 24 3 2 #" ("
0 0 14 3 11 #"image-width"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 14 #"             ("
0 0 14 3 12 #"image-height"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 13 #"             "
0 0 19 3 7 #"\"solid\""
0 0 24 29 1 #"\n"
0 0 24 3 14 #"             ("
0 0 14 3 6 #"colour"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #")))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 15 #"; VCat -> Image"
0 0 24 29 1 #"\n"
0 0 17 3 21 #"; renders whole scene"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 2 #" ("
0 0 14 3 6 #"render"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 3 #"  ("
0 0 14 3 11 #"place-image"
0 0 24 3 2 #" ("
0 0 14 3 7 #"overlay"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 2 #" ("
0 0 14 3 10 #"background"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 4 #")) ("
0 0 14 3 10 #"vpet-x-pos"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 14 3 1 #"y"
0 0 24 3 2 #" ("
0 0 14 3 10 #"render-bar"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #")))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 14 #"; VCat -> VCat"
0 0 24 29 1 #"\n"
0 0 17 3 59
#"; makes the chameleon move 3 clocks per tick, reappears him"
0 0 24 29 1 #"\n"
0 0 17 3 4 #"; if"
0 0 17 3 1 #" "
0 0 17 3 2 #"it"
0 0 17 3 1 #" "
0 0 17 3 4 #"goes"
0 0 17 3 1 #" "
0 0 17 3 6 #"beyond"
0 0 17 3 1 #" "
0 0 17 3 3 #"the"
0 0 17 3 1 #" "
0 0 17 3 6 #"canvas"
0 0 17 3 1 #","
0 0 17 3 1 #" "
0 0 17 3 3 #"and"
0 0 17 3 1 #" "
0 0 17 3 27 #"also controls the happiness"
0 0 24 29 1 #"\n"
0 0 17 3 7 #"; gauge"
0 0 17 3 1 #" "
0 0 17 3 10 #"decreasing"
0 0 17 3 1 #" "
0 0 17 3 2 #"it"
0 0 17 3 1 #" "
0 0 17 3 2 #"by"
0 0 17 3 1 #" "
0 0 17 3 3 #"0.1"
0 0 17 3 1 #" "
0 0 17 3 1 #"."
0 0 17 3 1 #" "
0 0 17 3 2 #"If"
0 0 17 3 1 #" "
0 0 17 3 3 #"the"
0 0 17 3 1 #" "
0 0 17 3 20 #"happiness falls to 0"
0 0 24 29 1 #"\n"
0 0 17 3 5 #"; the"
0 0 17 3 17 #" chameleon stops."
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 2 #" ("
0 0 14 3 10 #"happy-cham"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 3 #"  ("
0 0 14 3 9 #"make-vpet"
0 0 24 3 2 #" ("
0 0 15 3 4 #"cond"
0 0 24 29 1 #"\n"
0 0 24 3 17 #"               [("
0 0 14 3 1 #">"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 21 3 1 #"0"
0 0 24 3 3 #") ("
0 0 14 3 6 #"modulo"
0 0 24 3 2 #" ("
0 0 14 3 1 #"+"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-x-pos"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 21 3 1 #"3"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 49 #"                                                ("
0 0 14 3 7 #"ceiling"
0 0 24 3 2 #" ("
0 0 14 3 1 #"-"
0 0 24 3 1 #" "
0 0 14 3 8 #"canvas_x"
0 0 24 3 2 #" ("
0 0 14 3 1 #"/"
0 0 24 3 2 #" ("
0 0 14 3 11 #"image-width"
0 0 24 3 1 #" "
0 0 14 3 8 #"cham-img"
0 0 24 3 2 #") "
0 0 21 3 1 #"2"
0 0 24 3 5 #"))))]"
0 0 24 29 1 #"\n"
0 0 24 3 16 #"               ["
0 0 14 3 4 #"else"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-x-pos"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 3 #")])"
0 0 24 29 1 #"\n"
0 0 24 3 14 #"             ("
0 0 15 3 4 #"cond"
0 0 24 29 1 #"\n"
0 0 24 3 17 #"               [("
0 0 14 3 1 #">"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 21 3 3 #"100"
0 0 24 3 2 #") "
0 0 21 3 3 #"100"
0 0 24 3 1 #"]"
0 0 24 29 1 #"\n"
0 0 24 3 17 #"               [("
0 0 14 3 2 #">="
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 21 3 3 #"0.1"
0 0 24 3 3 #") ("
0 0 14 3 1 #"-"
0 0 24 3 2 #" ("
0 0 14 3 10 #"vpet-gauge"
0 0 24 3 1 #" "
0 0 14 3 4 #"cham"
0 0 24 3 2 #") "
0 0 21 3 3 #"0.1"
0 0 24 3 2 #")]"
0 0 24 29 1 #"\n"
0 0 24 3 16 #"               ["
0 0 14 3 4 #"else"
0 0 24 3 1 #" "
0 0 21 3 1 #"0"
0 0 24 3 4 #"])))"
0 0 24 29 1 #"\n"
0 0 24 29 1 #"\n"
0 0 17 3 15 #"; main function"
0 0 24 29 1 #"\n"
0 0 24 3 1 #"("
0 0 15 3 6 #"define"
0 0 24 3 2 #" ("
0 0 14 3 4 #"main"
0 0 24 3 1 #" "
0 0 14 3 1 #"s"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 3 #"  ("
0 0 15 3 8 #"big-bang"
0 0 24 3 2 #" ("
0 0 14 3 9 #"make-vpet"
0 0 24 3 2 #" ("
0 0 14 3 1 #"/"
0 0 24 3 1 #" "
0 0 14 3 8 #"canvas_x"
0 0 24 3 1 #" "
0 0 21 3 1 #"2"
0 0 24 3 2 #") "
0 0 21 3 3 #"100"
0 0 24 3 1 #")"
0 0 24 29 1 #"\n"
0 0 24 3 5 #"    ["
0 0 14 3 7 #"to-draw"
0 0 24 3 1 #" "
0 0 14 3 6 #"render"
0 0 24 3 1 #"]"
0 0 24 29 1 #"\n"
0 0 24 3 5 #"    ["
0 0 14 3 7 #"on-tick"
0 0 24 3 1 #" "
0 0 14 3 10 #"happy-cham"
0 0 24 3 1 #"]"
0 0 24 29 1 #"\n"
0 0 24 3 5 #"    ["
0 0 14 3 6 #"on-key"
0 0 24 3 1 #" "
0 0 14 3 4 #"feed"
0 0 24 3 3 #"]))"
0 0 24 29 1 #"\n"
0           0
